> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tracecat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Workflow Commits

> Get commit list for the configured workspace repository.

Returns a list of commits from the repository configured in workspace settings,
suitable for use in workflow pull operations.



## OpenAPI

````yaml https://platform.tracecat.com/api/openapi.json get /workspaces/{workspace_id}/workflows/sync/commits
openapi: 3.1.0
info:
  title: Tracecat API
  summary: Tracecat API
  description: The open source AI automation platform for security teams and agents.
  termsOfService: >-
    https://docs.google.com/document/d/e/2PACX-1vQvDe3SoVAPoQc51MgfGCP71IqFYX_rMVEde8zC4qmBCec5f8PLKQRdxa6tsUABT8gWAR9J-EVs2CrQ/pub
  contact:
    name: Tracecat Founders
    email: founders@tracecat.com
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.html
  version: '1'
servers:
  - url: /api
security: []
tags:
  - name: public
    description: Public facing endpoints
  - name: workflows
    description: Workflow management
  - name: actions
    description: Action management
  - name: triggers
    description: Workflow triggers
  - name: secrets
    description: Secret management
  - name: variables
    description: Workspace variable management
paths:
  /workspaces/{workspace_id}/workflows/sync/commits:
    get:
      tags:
        - workflows
      summary: List Workflow Commits
      description: >-
        Get commit list for the configured workspace repository.


        Returns a list of commits from the repository configured in workspace
        settings,

        suitable for use in workflow pull operations.
      operationId: workflows-list_workflow_commits
      parameters:
        - name: workspace_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Workspace Id
        - name: branch
          in: query
          required: false
          schema:
            type: string
            minLength: 1
            maxLength: 255
            description: Branch name to fetch commits from
            default: main
            title: Branch
          description: Branch name to fetch commits from
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 200
            minimum: 1
            description: Maximum number of commits to return
            default: 10
            title: Limit
          description: Maximum number of commits to return
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/GitCommitInfo'
                title: Response Workflows-List Workflow Commits
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyCookie: []
        - ServiceAccountApiKeyBearer: []
components:
  schemas:
    GitCommitInfo:
      properties:
        sha:
          type: string
          maxLength: 40
          minLength: 40
          title: Sha
          description: The commit SHA hash
        message:
          type: string
          title: Message
          description: The commit message
        author:
          type: string
          maxLength: 255
          title: Author
          description: The commit author name
        author_email:
          type: string
          maxLength: 255
          title: Author Email
          description: The commit author email
        date:
          type: string
          maxLength: 50
          title: Date
          description: The commit date in ISO format
        tags:
          items:
            type: string
          type: array
          title: Tags
          description: List of tags associated with this commit
      type: object
      required:
        - sha
        - message
        - author
        - author_email
        - date
      title: GitCommitInfo
      description: Git commit information for repository management.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyCookie:
      type: apiKey
      in: cookie
      name: fastapiusersauth
    ServiceAccountApiKeyBearer:
      type: http
      description: Tracecat service account API key.
      scheme: bearer

````